Bug 129571 - PC hangs when PCMCIA wireless LAN card starts
PC hangs when PCMCIA wireless LAN card starts
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-10 10:32 EDT by Chris Rosewarne
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-27 07:24:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Rosewarne 2004-08-10 10:32:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When starting the wireless LAN card, a Belkin F5D6020 ver 2 with
atmelwlandriver (pcmf502re) the computer locks only when the AP is on:

These are the commands I use to start the WLAN:

modprobe yenta_socket
/etc/init.d/pcmcia restart

With the AP on, the machine freezes completely.  If I turn it on after
running the above commands, then all is well.  

I have tried several times with the AP on and off and acheived
consistent results - not sure whether this is an atmelwlandriver
problem or pcmcia problem.. The logs seem to indicate an IRQ conflict.



Version-Release number of selected component (if applicable):
pcmcia-cs-3.2.7-1.5

How reproducible:
Always

Steps to Reproduce:
1. turn AP on
2. modprobe yenta_socket
3. /etc/init.d/pcmcia restart


Actual Results:  The PC locks up - removing and reinserting the PCMCIA
card has no effect - system needs a power cycle to recover.

Expected Results:  Wireless LAN should associate with the Access Point

Additional info:

Following are /var/log/messages at the point where it crashed:

Aug 10 23:46:16 magellan kernel: PCI: Found IRQ 11 for device 0000:00:0a.0
Aug 10 23:46:16 magellan kernel: IRQ routing conflict for
0000:00:07.5, have irq 5, want irq 11
Aug 10 23:46:16 magellan kernel: PCI: Sharing IRQ 11 with 0000:00:0b.0
Aug 10 23:46:16 magellan kernel: Yenta: CardBus bridge found at
0000:00:0a.0 [0e11:b103]
Aug 10 23:46:16 magellan kernel: Yenta: Using CSCINT to route CSC
interrupts to PCI
Aug 10 23:46:16 magellan kernel: Yenta: Routing CardBus interrupts to PCI
Aug 10 23:46:16 magellan kernel: Yenta TI: socket 0000:00:0a.0, mfunc
0x01001002, devctl 0x64
Aug 10 23:46:16 magellan kernel: Yenta: ISA IRQ mask 0x0008, PCI irq 11
Aug 10 23:46:16 magellan kernel: Socket status: 30000010
Aug 10 23:46:23 magellan cardmgr[3367]: watching 1 socket
Aug 10 23:46:23 magellan kernel: cs: IO port probe 0x0c00-0x0cff: clean.
Aug 10 23:46:23 magellan kernel: cs: IO port probe 0x0100-0x04ff:
excluding 0x378-0x37f 0x4d0-0x4d7
Aug 10 23:46:23 magellan kernel: cs: IO port probe 0x0a00-0x0aff: clean.
Aug 10 23:46:24 magellan kernel: cs: memory probe
0xa0000000-0xa0ffffff: clean.
Aug 10 23:46:24 magellan cardmgr[3368]: socket 0: Belkin F5D6020
<crash here>
Aug 10 23:48:08 magellan syslogd 1.4.1: restart.

Also, here is the 'lspci' output:

00:00.0 Host bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133]
(rev 80)
00:01.0 PCI bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133 AGP]
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super
South] (rev 42)
00:07.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:07.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 1a)
00:07.4 Bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI]
(rev 40)
00:07.5 Multimedia audio controller: VIA Technologies, Inc. VT82C686
AC97 Audio Controller (rev 50)
00:09.0 Communication controller: Conexant HSF 56k HSFi Modem (rev 01)
00:0a.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus
Controller (rev 01)
00:0b.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
01:00.0 VGA compatible controller: S3 Inc. VT8636A [ProSavage KN133]
AGP4X VGA Controller (TwisterK) (rev 01)
Comment 1 Matthew Miller 2005-04-26 12:10:03 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Chris Rosewarne 2005-04-27 07:24:37 EDT
I observed this problem only with the 'atmelwlandriver' under FC2.  I am now
using FC3 and firmware from http://thekelleys.org.uk/atmel/.  I'm happy for this
to be marked as a Wontfix as its no longer giving me grief + FC2 is old now. 
(There is a separate issue with the thekelleys.* firmware I need to investigate
further).

Note You need to log in before you can comment on or make changes to this bug.